This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 510410 - Kerneloops claims it sent an oops report when there was no Internet connection
Kerneloops claims it sent an oops report when there was no Internet connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kerneloops (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 02:54 EDT by Neil
Modified: 2011-12-13 17:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:32:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neil 2009-07-09 02:54:01 EDT
Description of problem:
Terminating a mobile broadband (aircard) connection occasionally generates a kernel oops.  That isn't the problem.  Rather, I was prompted if I wanted to send in a report; I said yes, and /var/log/messages reported:
Jul  8 23:42:48 mars kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
However, at that time the Internet connection was down; there is no possible way that it could have contacted kerneloops.org, and there is no indication (e.g. "mailq") that it queued up the report for later delivery.

Version-Release number of selected component (if applicable):
kerneloops-0.12-5.fc11.x86_64

How reproducible:
Always, when no Internet connection and a kernel oops occurs (happened 3 times so far)

Steps to Reproduce:
1. Ensure no Internet connection is up
2. Generate a kernel oops (somehow!)
3. Watch as it claims to have sent it.
  
Actual results:
Claims to have sent it to kerneloops.org, even when it couldn't have

Expected results:
Either reports that it failed to send, or that it queued it for sending later.

Additional info:
Comment 1 Bug Zapper 2010-04-27 11:34:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 09:32:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.